Bug 735751 (CVE-2011-2834) - CVE-2011-2834 libxml2: double-free caused by malformed XPath expression in XSLT
Summary: CVE-2011-2834 libxml2: double-free caused by malformed XPath expression in XSLT
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2834
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20111011,reported=20110905,sou...
Depends On: 710397 771904 771906 771907 772122 820846 833934 891477 891478
Blocks: 734217 735764 771915 891480
TreeView+ depends on / blocked
 
Reported: 2011-09-05 09:49 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:54 UTC (History)
3 users (show)

Fixed In Version: libxml2 2.8.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:22:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1749 normal SHIPPED_LIVE Low: libxml2 security and bug fix update 2011-12-06 01:01:47 UTC
Red Hat Product Errata RHSA-2012:0016 normal SHIPPED_LIVE Important: libxml2 security update 2012-01-11 22:47:42 UTC
Red Hat Product Errata RHSA-2012:0017 normal SHIPPED_LIVE Important: libxml2 security update 2012-01-11 22:45:39 UTC
Red Hat Product Errata RHSA-2013:0217 normal SHIPPED_LIVE Important: mingw32-libxml2 security update 2013-02-01 00:25:14 UTC

Description Huzaifa S. Sidhpurwala 2011-09-05 09:49:10 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-2834 to
the following vulnerability:


Name: CVE-2011-2834
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2834
Assigned: 20110720
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=93472
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2011/09/stable-channel-update_16.html

Double free vulnerability in libxml2, as used in Google Chrome before
14.0.835.163, allows remote attackers to cause a denial of service or
possibly have unspecified other impact via vectors related to XPath
handling.

Comment 5 errata-xmlrpc 2011-12-06 18:55:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1749 https://rhn.redhat.com/errata/RHSA-2011-1749.html

Comment 9 errata-xmlrpc 2012-01-11 17:49:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0017 https://rhn.redhat.com/errata/RHSA-2012-0017.html

Comment 10 errata-xmlrpc 2012-01-11 17:50:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0016 https://rhn.redhat.com/errata/RHSA-2012-0016.html

Comment 11 Vincent Danen 2012-01-11 19:28:22 UTC
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 772122]

Comment 12 Vincent Danen 2012-01-11 19:32:45 UTC
Statement:

(none)

Comment 15 errata-xmlrpc 2013-01-31 19:33:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0217 https://rhn.redhat.com/errata/RHSA-2013-0217.html


Note You need to log in before you can comment on or make changes to this bug.